courier-authlib

Description:Courier authentication library
License: GPL-3
Homepage:https://www.courier-mta.org/authlib/
Location:Portage
Legend:
  • + - stable
  • ~ - unstable
  • M - hardmask
alpha amd64 arm hppa ia64 m68k mips ppc ppc64 s390 sh sparc x86
0.69.0-r1 diff ~ + + ~ + - ~ + + + + + +
0.68.0-r1 diff ~ ~ ~ ~ ~ - ~ ~ ~ ~ ~ ~ ~
0.67.0 diff ~ ~ ~ ~ ~ - ~ ~ ~ ~ ~ ~ ~
0.66.4 diff + + ~ + + - ~ + + + ~ + +
0.65.0-r3 + + + + + - - + + + + + +

USE flags

  • berkdb - Add support for sys-libs/db (Berkeley DB for MySQL)
  • crypt - Add support for encryption -- using mcrypt or gpg where applicable
  • debug - Enable extra debug codepaths, like asserts and extra output. If you want to get meaningful backtraces see https://wiki.gentoo.org/wiki/Project:Quality_Assurance/Backtraces
  • gdbm - Add support for sys-libs/gdbm (GNU database libraries)
  • ldap - Add LDAP support (Lightweight Directory Access Protocol)
  • libressl - Use dev-libs/libressl instead of dev-libs/openssl when applicable (see also the ssl useflag)
  • mysql - Add mySQL Database support
  • pam - Add support for PAM (Pluggable Authentication Modules) - DANGEROUS to arbitrarily flip
  • postgres - Add support for the postgresql database
  • sqlite - Add support for sqlite - embedded sql database
  • static-libs - Build static versions of dynamic libraries as well
  • vpopmail - Enable vpopmail support

Security Advisory

Date Severity Title
about 10 years normal Courier Authentication Library: SQL Injection vulnerability
over 10 years normal Courier Authentication Library: SQL injection vulnerability

Also available in: Atom

Thank you!